/* *INDENT-OFF* */ /* THIS FILE IS GENERATED */

/* A register protocol for GDB, the GNU debugger.
   Copyright (C) 2001-2013 Free Software Foundation, Inc.

   This file is part of GDB.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* This file was created with the aid of ``regdat.sh'' and ``../../../gdb/gdbserver/../regformats/arm/arm-with-iwmmxt.dat''.  */

#include "server.h"
#include "regdef.h"
#include "tdesc.h"

const struct target_desc *tdesc_arm_with_iwmmxt;

void
init_registers_arm_with_iwmmxt (void)
{
  static struct target_desc tdesc_arm_with_iwmmxt_s;
  struct target_desc *result = &tdesc_arm_with_iwmmxt_s;
  struct tdesc_feature *feature = tdesc_create_feature (result, "arm_with_iwmmxt");
  tdesc_create_reg (feature, "r0",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "r1",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "r2",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "r3",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "r4",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "r5",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "r6",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "r7",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "r8",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "r9",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "r10",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "r11",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "r12",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "sp",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "lr",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "pc",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "",
  0, 0, NULL, 0, NULL);
  tdesc_create_reg (feature, "",
  0, 0, NULL, 0, NULL);
  tdesc_create_reg (feature, "",
  0, 0, NULL, 0, NULL);
  tdesc_create_reg (feature, "",
  0, 0, NULL, 0, NULL);
  tdesc_create_reg (feature, "",
  0, 0, NULL, 0, NULL);
  tdesc_create_reg (feature, "",
  0, 0, NULL, 0, NULL);
  tdesc_create_reg (feature, "",
  0, 0, NULL, 0, NULL);
  tdesc_create_reg (feature, "",
  0, 0, NULL, 0, NULL);
  tdesc_create_reg (feature, "",
  0, 0, NULL, 0, NULL);
  tdesc_create_reg (feature, "cpsr",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "wR0",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "wR1",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "wR2",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "wR3",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "wR4",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "wR5",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "wR6",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "wR7",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "wR8",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "wR9",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "wR10",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "wR11",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "wR12",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "wR13",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "wR14",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "wR15",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "wCSSF",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "wCASF",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "wCGR0",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "wCGR1",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "wCGR2",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "wCGR3",
  0, 0, NULL, 32, NULL);

static const char *expedite_regs_arm_with_iwmmxt[] = { "r11", "sp", "pc", 0 };
static const char *xmltarget_arm_with_iwmmxt = "arm-with-iwmmxt.xml";

#ifndef IN_PROCESS_AGENT
  result->xmltarget = xmltarget_arm_with_iwmmxt;
#endif

  init_target_desc (result, expedite_regs_arm_with_iwmmxt);

  tdesc_arm_with_iwmmxt = result;
}
